#include <iostream>
#include <cmath>

using namespace std;

int main() {
	long long int v;
	int n = 0, pom, i, j;
	cin >> v;
	for(i=0; v>=pow(10,i); i++)
	{	
	}
	for(j=1; j<=i; j++)
	{
		pom = v % 10;
		v = v / 10;
		while(pom!=0)
		{
			if(pom >= 5)
			{
				pom = pom - 5;
				n++;
			}
			else
			{
				if(pom >= 2)
				{
					n++;
					pom = pom - 2;
				}
				else
				{
					pom = pom - 1;
					n++;	
				}
			}					
		}
	}
	cout << n;
	
	return 0;
}